Subject: bug#65803: 29.1; Noto Sans Mono CJK JP has doubled-width on Windows

From: Shingo Tanaka <[email-masked]>
Date: Fri, 8 Sep 2023 08:19:29 +0900

I'm not an expert on fonts either, but the reason why I reported is because
I don't see this issue on Ubuntu as attached with exactly the same font
(NotoSansMonoCJKjp-VF.ttf).  So the difference looks like coming from OS
difference but not emacs version difference.

2023年9月7日(木) 23:57 Eli Zaretskii <[email-masked]>:

>
> > Cc: [email-masked]
> > Date: Thu, 07 Sep 2023 17:40:29 +0300
> > From: Eli Zaretskii <[email-masked]>
> >
> > It looks like the Noto font is not a fixed-pitch font, even though it
> > has "Mono" in its name.
>
> There seems to be quite a few issues about this font family and its
> width aspects:
>
>   https://github.com/adobe-fonts/source-han-code-jp/issues/14
>   https://github.com/notofonts/noto-cjk/issues/122
>   https://github.com/notofonts/latin-greek-cyrillic/issues/196
>
> I'm not an expert on fonts, but I must ask: why do you use this font
> as the _default_ font? isn't it for CJK characters?  If so, why not
> use it only for CJK scripts, not for ASCII?
>
> Also, did anything changed wrt this font in Emacs 29?  That is, did
> the problem you describe not exist in Emacs 28?